;;;; cl-scopes/web/client - web client functionality

(defpackage :scopes/web/client
  (:use :common-lisp)
  (:local-nicknames (:config :scopes/config)
                    (:core :scopes/core))
  (:export #:config #:base-url
           #:send-request))

(in-package :scopes/web/client)

(defclass config (config:base)
  ((config:setup :initform #'core:default-setup)
   (base-url :reader base-url 
             :initarg :base-url 
             :initform "http://localhost:8135")))

;;;; client context (= service)

(defun send-request (ctx msg)
  (dex:get (base-url (core:config ctx))))
